/******************
 * Experiment CSS (ex.css)
**/

.mainPanel{
    margin-bottom:80px;
    border: none;	
}

.form-container {
	max-width:2500px;
	width:100%;
}
.standard-input-form .lbl {
	vertical-align: top;
	white-space: nowrap;
	width: 1px;
}

.standard-input-form .val,
.standard-input-form .val:last-child {
	vertical-align: top;
	width: 50%;
}

.standard-input-form .ex-block-table-col-2 .val{
	width:100%;
}

.standard-input-form .ex-block-table-col-6 .val{
	width:33%;
}

.ex-section{
	width:100%;
	margin-left:10px;	
	margin-bottom:10px;
}

.section-label2 {
    font-size: 106% !important;
}

.ex-button-layout {
	float: right;
}

.ex-block-table,
.ui-datatable table.ex-block-table {
	width:100%;
	table-layout: auto;
}

.ex-block-table input[type="text"],
.ex-block-table textarea,
.ex-block-table select {
	width:calc(100% - 5px);
	padding:1.5px;
}

.ex-block-table textarea {
	overflow-y:scroll;
	resize:both;
}

.form-readonly.ex-block-design .ex-block-table textarea{
	overflow-y:scroll;
	resize:vertical;
}

.ex-block-table .select-list {
	width:125px;
	margin-top:-6px;
}

.ex-block-table tbody tr td{
	padding:3px;
}

.ex-block-table .ex-block-readonly-val {
	font-weight:bold;
	font-style:italic;
}

.ex-block-table .checkbox{
	margin-bottom:5px;
}

.ex-block-table .exp-sequence-description {
	display:block;
	clear:both;
}

.ex-block-table textarea.exp-sequence-description{
	width:calc(100% - 18px);
}

.block-event-metadata {
	margin-bottom:10px;
}

.add-block-event-btn-wrapper{
	text-align:left;
	margin-bottom:5px;
	margin-left:8px;
	margin-top: 10px;
}

.ex-button-layout {
	float: right;
}

.ui-datatable > .ui-datatable-scrollable-body > table {
	table-layout: auto;
}

.ui-datatable.ui-datatable-scrollable {
	border: 1px solid #5c9ccc;
	border-radius:7px;
}

.ex-section .ex-block-table > tbody > tr > td{
	text-align: left; 
	vertical-align: top;
	padding: 2px 8px;
}

.ui-state-highlight, 
.ui-widget-content .ui-state-highlight,
.ui-widget-header .ui-state-highlight {
    background: #fbec88 none repeat-x scroll 50% 50%;
    border: 1px solid #fad42e;
    color: #363636;
    text-shadow:none;
}

#helpBtn {
    position: absolute;
    right: 8px;
    top: -8px;
    z-index: 10;    
}

.ui-panelgrid.no-border,
.ui-panelgrid.no-border > table,
.ui-panelgrid.no-border > thead > tr,
.ui-panelgrid.no-border > tfoot > tr,
.ui-panelgrid.no-border > tbody > tr,
.ui-panelgrid.no-border > thead > tr > th,
.ui-panelgrid.no-border > tfoot > tr > th,
.ui-panelgrid.no-border > tbody > tr > td{
	border: none;	
}

table.no-border, 
table.no-border thead tr,
table.no-border tfoot tr,
table.no-border tbody tr,
table.no-border thead tr th,
table.no-border tfoot tr th,
table.no-border tbody tr td {
	border: none;	
}

.ui-datatable-scrollable-body table > tbody > tr > td.action-col,
.ui-datatable-tablewrapper table > tbody > tr > td.action-col {
	text-align: center;
	vertical-align:top;
}

.ui-datatable-scrollable-header,
.ui-datatable-scrollable-body > table > thead{
	display:none;
}

.ui-datatable-scrollable-body table > thead > tr > td:first-child,
.ui-datatable-scrollable-body table > tbody > tr > td.action-col{
	width:100px !important;
}

.ui-datatable tbody td.action-col button {
	margin-top:5px;
	margin-bottom:5px;
	clear:both;
}

.block-event-table{
	margin-right:15px;	
}

.block-event-table .ui-datatable-scrollable-header{
	display:none;
}

.ui-datatable .ui-datatable-empty-message{
	text-align: center;
	font-weight:bold;
	font-style: italic;
	color:#FFA92D;
}

.ui-datatable .ui-datatable-tablewrapper thead {
	display:none;
}

.sr-only {
	position:absolute;
	width:1px;
	height:1px;
	padding:0;
	margin:-1px;
	overflow:hidden;
	clip:rect(0,0,0,0);
	border:0;
}

.sr-only-focusable:active,
.sr-only-focusable:focus{
	position:static;
	width:auto;
	height:auto;
	margin:0;
	overflow:visible;
	clip:auto
}

.output-text-display {
	padding: 2px;
	vertical-align:middle;	
}

.floating-page-buttons{
	background: #f4f4f4 none repeat-x scroll 50% bottom;
	border: 1px solid lightgray;
	bottom: 60px; 
	left: 0px; 
	position: fixed; 
	right: 0px;
}

.floating-page-buttons .ui-button{
	margin-right:20px;	
}

.ui-widget-header {
    background: #5c9ccc none repeat-x scroll 50% 50%; 
    border:none;  
}

.ui-datatable-odd {
    background: #f2f5f9 none repeat scroll 0 0;
}

.form-readonly input[type="text"],
.form-readonly textarea {
	width:100%;
	padding:1.5px;
	background-color: transparent;
}

.standard-input-form label,
.form-readonly label {
    color: #000000;
    font-size: 0.95em;
    font-weight: bold;
	white-space: nowrap;
}

.ex-block-design table .readonly-inputfield {
	width:calc(100% - 10px); 
	height:calc(100% - 10px); 
	resize:none; 
	overflow:hidden;
}

/*Remove Prime Faces Styling from form Controls*/
.standard-input-form table input[type="text"],
.standard-input-form table input[type="text"].ui-state-focus,
.standard-input-form table input[type="text"].ui-state-default
.standard-input-form table textarea,
.standard-input-form table textarea.ui-inputfield.ui-state-focus,
.standard-input-form table textarea.ui-state-default {
	background: transparent;
    border-radius: 0px;
    border: 1px solid #a8a8a8;
    box-shadow: none;
    padding:2px;
    color: #222222;
    font-weight:normal;
}

.standard-input-form.pfMessages > .ex-block-table input[type="text"].ui-state-error,
.standard-input-form.pfMessages > .ex-block-table textarea.ui-state-error,
.standard-input-form > .ex-section > table > tbody > tr > td > input[type="text"].ui-state-error,
.standard-input-form > .ex-section > table > tbody > tr > td > textarea.ui-state-error {
	border: 1px dashed #871717;
	background: #fef1ec none 50% 50% repeat-x;
	color: #b81111;
	border-radius:0;
}

.ui-outputlabel .ui-outputlabel-rfi {
    margin-left: 0.0em;
}

.standard-input-form.pfMessages table .readonly-inputfield,
.standard-input-form.pfMessages table .readonly-inputfield:focus {
	border:none;
}

.standard-input-form .ex-block-design .readonly-textfield,
.standard-input-form .ex-block-design .readonly-textfield.ui-state-focus,
.standard-input-form .ex-block-design .readonly-textfield.ui-state-default{
	border:none;
}

.form-readonly table > tbody > tr > td > input[type="text"],
.form-readonly table > tbody > tr > td > input[type="text"].ui-state-focus,
.form-readonly table > tbody > tr > td > input[type="text"].ui-state-default,
.form-readonly table > tbody > tr > td > textarea.readonly-inputfield.ui-state-focus,
.form-readonly table > tbody > tr > td > textarea.readonly-inputfield.ui-state-default{
	border:none;
}

.ex-tree {
	width:calc(100% - 3px);
	height:225px; 
	overflow:auto;
    margin-top:3px;
	margin-bottom:3px;	
}

.ex-tree .ui-tree-container {
	overflow: visible;
}

.ex-tree-title {
	color: #1F4082;
	font-weight: bold;
	font-size:115%;
	margin-top: 0px;  
}

.ex-tree-wrapper {
	display:block;
	padding-bottom:3px;
	padding-right:3px;
	max-width:1900px;
}

.ex-tree-box {
 	overflow: hidden;
    display: inline-block;
    min-width: 305px;
    padding-left: 4px;
}

.ex-tree-wrapper .ex-tree-box:first-child {
	padding-left:0px;
}

.ex-tree-box.readonly-tree .ui-tree .ui-treenode-content .ui-chkbox.ui-selection {
	display:inline-block;
}

.ex-tree-box.readonly-tree .ui-tree .ui-treenode.ui-treenode-leaf.ui-treenode-selected .ui-treenode-content .ui-treenode-label {
	font-weight:bold;
}

.ex-tree-box.readonly-tree .ui-tree .ui-treenode.ui-treenode-parent > .ui-treenode-content .ui-chkbox {
	display:none;
}

.ex-tree-box .ui-tree.ui-widget-content .ui-state-highlight {
    background: #FFFFFF none repeat-x scroll 50% 50%;
    border: 1px solid #FFFFFF;
    color: #363636;
    text-shadow: none;
    font-weight: normal;
}

.ex-tree-box .ui-treenode-content.ui-tree-selectable .ui-state-highlight,
.ex-tree-box .ui-tree.ui-widget-content span.bold-text {
	font-weight:bold;
}

/* SMALL */
@media (max-width: 969px){
	.ex-section .ex-tree-box-fluid {
		width:50%;
	}	
}

/* MEDIUM */
@media (min-width: 970px) and (max-width: 1199px) {
    .ex-section .ex-tree-box-fluid {
		width:49%;
	}
}

/* LARGE */
@media (min-width: 1200px) {
    .ex-section .ex-tree-box-fluid {
		width:33%;
	}
		
    .ex-section .ex-tree-box-fluid.container-lg-4 {
		width:24.5%;
	}
}	

.global-dialog .ui-dialog-content {
	padding-top: 15px;
	padding-bottom:15px;
}

.ui-selectonemenu-label.ui-inputfield{
	padding: 8px;
}

.ui-selectonemenu .ui-selectonemenu-trigger{
	padding: 0 8px;
}

.ui-selectonemenu .ui-selectonemenu-trigger .ui-icon {
    margin-top: 8px;
}

.standard-input-form.pfMessages table .font-weight-bold-italic ,
.standard-input-form.pfMessages table .font-weight-bold-italic :focus {
	font-weight:bold !important;
	font-style:italic;
}

.ex-file-wrapper img.icon,
.ex-file-wrapper div {
	display:inline-block;
}

.ex-file-wrapper span,
.ex-file-wrapper div a {
	vertical-align:super;
}

.ex-file-wrapper div a {
	color: #0000FF;
}

.add-file-button {
	width: 70px;
	color: #2e6e9e;
	padding: 2px 3px;
	font-weight: bold;
	border: 1px solid #c5dbec;
	background: #dfeffc url("jquery-ui/redmond/images/ui-bg_glass_85_dfeffc_1x400.png") 50% 50% repeat-x;
}
.standard-input-form input.add-file-button {
	padding: 2px 3px;
}
.ex-file-wrapper .add-file-button:hover {
	cursor: pointer;
}

.ex-file-wrapper .file-button {
	border: 1px solid transparent;
    border-radius: 3px;
    cursor: pointer;
    display: inline-block;
}

.ex-file-wrapper .file-button img {
    height: 20px;
    margin: 3px;
    width:  20px;
}

.ex-file-wrapper .file-button.edit-file-button:hover,
.ex-file-wrapper .file-button.delete-file-button:hover {
	background-color: #D2E9FA;
	border: 1px solid #999999;
}

.floating-page-buttons .experiment-xmlfile-import-wrapper {
	position: fixed;
	left:-1125px;
	top:-1125px;
}

.ui-inputtextarea.experiment-name {
  	max-width:1062px;
 	resize:none;
	overflow:visible;	
}

.dialog-footer {
	padding-top:5px;
	padding-bottom:5px;
}

.scrollable-list {
	border: 1px solid #a6c9e2;
	border-radius: 4px;
	padding: 2px;
}

.scrollable-list ul {
	padding: 0;
	margin: 2px;
	overflow-y: scroll;
	min-height: 65px;
	max-height: 115px;
	list-style-type: none;
}

.add-file-spinner {
	font-size: 1.55em; 
	margin-right: 5px; 
	vertical-align: bottom; 
	animation:fa-spin 1.5s infinite linear;
}
